Skip to main content
`Ctrl`+`K`

# PCCompositeGetPC

Gets one of the `PC` objects in the composite `PC`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCCompositeGetPC(PC pc, PetscInt n, PC *subpc)

Not Collective

## Input Parameters

- pc - the preconditioner context

- n - the number of the pc requested

## Output Parameter

- subpc - the PC requested

## Note

To use a different operator to construct one of the inner preconditioners first call `PCCompositeGetPC()`, then call `PCSetOperators()` on that `PC`.

## See Also

KSP: Linear System Solvers, `PCCOMPOSITE`, `PCCompositeAddPCType()`, `PCCompositeGetNumberPC()`, `PCSetOperators()`

## Level

intermediate

## Location

src/ksp/pc/impls/composite/composite.c

## Examples

src/ksp/ksp/tutorials/ex60.c
src/ksp/pc/tutorials/ex4.c
src/ksp/ksp/tutorials/ex71.c

## Implementations

PCCompositeGetPC_Composite() in src/ksp/pc/impls/composite/composite.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages